ros-noetic-rosserial-client (0.9.2-1buster) buster; urgency=high

  * Use shutil.copyfile() instead of shutil.copy() (#530 <https://github.com/ros-drivers/rosserial/issues/530>)
  * Changed C++ STL include and code into original C versions (#525 <https://github.com/ros-drivers/rosserial/issues/525>)
  * Contributors: Ben Wolsieffer, Rafael Oliveira

 -- Paul Bouchier <paul.bouchier@gmail.com>  Fri, 02 Apr 2021 00:00:00 -0000

ros-noetic-rosserial-client (0.9.1-1buster) buster; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 09 Sep 2020 00:00:00 -0000

ros-noetic-rosserial-client (0.9.0-1buster) buster; urgency=high

  * Method to compute duration between time stamps (#498 <https://github.com/ros-drivers/rosserial/issues/498>)
  * Python 3 and GCC7+ fixes (#508 <https://github.com/ros-drivers/rosserial/issues/508>)
    * Fixes for new warnings/behaviours in GCC 7+.
    * Resolve uninitMemberVar warnings in NodeHandle.
    * Use nullptr consistently.
  * Correctly handle seconds overflow in client time (#497 <https://github.com/ros-drivers/rosserial/issues/497>)
  * Use os.path.join for path concatenation (#495 <https://github.com/ros-drivers/rosserial/issues/495>)
  * Do not fail when trying to update ros_lib which already exists (#494 <https://github.com/ros-drivers/rosserial/issues/494>)
  * ros_lib: Removed code duplication in node_handle.h (#483 <https://github.com/ros-drivers/rosserial/issues/483>)
  * AVR Float64: fix cases like denormal numbers & inf (#442 <https://github.com/ros-drivers/rosserial/issues/442>)
  * Bump minimum CMake version to 3.7.2 (Melodic).
  * Change the access modifiers in NodeHandle_ from "private" to "protected" to make it easier to derive. (#426 <https://github.com/ros-drivers/rosserial/issues/426>)
  * Small Python 3 fixes for rosserial scripts. (#420 <https://github.com/ros-drivers/rosserial/issues/420>)
  * Contributors: Asuki Kono, Hermann von Kleist, Mike Purvis, Petteri Aimonen, Rik Baehnemann, 趙　漠居(Zhao, Moju)

 -- Paul Bouchier <paul.bouchier@gmail.com>  Tue, 25 Aug 2020 00:00:00 -0000

ros-noetic-rosserial-client (0.8.0-1buster) buster; urgency=high

  * Add an empty newline to the generated headers. (#389 <https://github.com/ros-drivers/rosserial/issues/389>)
  * Add support for boolean parameters (#355 <https://github.com/ros-drivers/rosserial/issues/355>)
  * Contributors: Miklós Márton, Pikrass

 -- Paul Bouchier <paul.bouchier@gmail.com>  Thu, 11 Oct 2018 00:00:00 -0000

ros-noetic-rosserial-client (0.7.7-1buster) buster; urgency=high

  * Add overall spin timeout to rosserial read. (#334 <https://github.com/ros-drivers/rosserial/issues/334>)
  * Fixing formatting on files. (#333 <https://github.com/ros-drivers/rosserial/issues/333>)
  * Fix catkin lint errors (#296 <https://github.com/ros-drivers/rosserial/issues/296>)
  * fix spinOnce timeout : 5ms -> 5s (#326 <https://github.com/ros-drivers/rosserial/issues/326>)
  * [Client] Fix a warning in comparison. (#323 <https://github.com/ros-drivers/rosserial/issues/323>)
  * Use const in ros namespace instead of #define for constants. Fix #283 <https://github.com/ros-drivers/rosserial/issues/283> (#318 <https://github.com/ros-drivers/rosserial/issues/318>)
  * Fix CMP0046 warnings in catkin-built firmwares (#320 <https://github.com/ros-drivers/rosserial/issues/320>)
  * Prevent time variable overflow leading to parameter timeout error (#293 <https://github.com/ros-drivers/rosserial/issues/293>)
  * Add class member method callback support for Service Server. (#282 <https://github.com/ros-drivers/rosserial/issues/282>)
  * Added capability to specify timeout in getParam methods (#278 <https://github.com/ros-drivers/rosserial/issues/278>)
  * Contributors: 1r0b1n0, Alessandro Francescon, Bei Chen Liu, David Portugal, Dmitry Kargin, Mike O'Driscoll, Mike Purvis, Romain Reignier

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 29 Nov 2017 00:00:00 -0000

ros-noetic-rosserial-client (0.7.6-1buster) buster; urgency=high

  * Fixing message has no attribute _md5sum (#257 <https://github.com/ros-drivers/rosserial/issues/257>)
  * Contributors: Mike O'Driscoll

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 01 Mar 2017 00:00:00 -0000

ros-noetic-rosserial-client (0.7.5-1buster) buster; urgency=high

  * rosserial client variable typedefs (#254 <https://github.com/ros-drivers/rosserial/issues/254>)
    * Add typedefs to generated messages
    This brings rosserial message headers in line with
    roscpp headers that provide a typedef for the message
    variable member.
    * Removing unused imports and variables.
  * Added functions for endian-agnostic memory copying (#240 <https://github.com/ros-drivers/rosserial/issues/240>)
  * Contributors: Mike O'Driscoll, ivan

 -- Paul Bouchier <paul.bouchier@gmail.com>  Tue, 22 Nov 2016 00:00:00 -0000

ros-noetic-rosserial-client (0.7.4-1buster) buster; urgency=high

  * Integration tests for rosserial (#243 <https://github.com/ros-drivers/rosserial/issues/243>)
  * Support member functions as subscriber callbacks.
  * Contributors: Mike O'Driscoll, Mike Purvis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 21 Sep 2016 00:00:00 -0000

ros-noetic-rosserial-client (0.7.3-1buster) buster; urgency=high

  * Order packages by alpha rather than topologically. (#234 <https://github.com/ros-drivers/rosserial/issues/234>)
  * Contributors: Mike Purvis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Fri, 05 Aug 2016 00:00:00 -0000

ros-noetic-rosserial-client (0.7.2-1buster) buster; urgency=high

  * Add ros.h include to transform_broadcaster
  * Add environment variable for arduino location
  * Supported 32bit array lengths in python make_libraries script
  * Contributors: Alan Meekins, David Lavoie-Boutin

 -- Paul Bouchier <paul.bouchier@gmail.com>  Fri, 15 Jul 2016 00:00:00 -0000

ros-noetic-rosserial-client (0.7.1-1buster) buster; urgency=high

  * Provide option to pass through CMake arguments in the CMAKE_COMMAND
    invocation. The use-case is primarily specifying additional paths to
    modules, for separately-packaged libraries.
  * Contributors: Mike Purvis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Mon, 06 Jul 2015 00:00:00 -0000

ros-noetic-rosserial-client (0.7.0-1buster) buster; urgency=high

  * Initial release for Jade.
  * Make message generating error message more verbose.
  * Fix initializer for fixed-length arrays.
  * Generate constructors for messages.
  * Switch to stdint integers. This allows the client to run on 64-bit systems.
  * Contributors: Mickaël, Mike Purvis, Mitchell Wills, chuck-h

 -- Paul Bouchier <paul.bouchier@gmail.com>  Thu, 23 Apr 2015 00:00:00 -0000

ros-noetic-rosserial-client (0.6.3-1buster) buster; urgency=high

  * Move avr serialization logic to Msg class, add gtest to exercise it.
  * Fixed the deserialization of avr64bit in order to support negative numbers.
  * Contributors: Martin Gerdzhev, Mike Purvis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 05 Nov 2014 00:00:00 -0000

ros-noetic-rosserial-client (0.6.2-1buster) buster; urgency=high

  * Generic CMake helpers for ros_lib generation and in-package firmwares.
  * Fix output of make_library when package has only messages
  * Added time out to the state machine
  * Contributors: Jason Scatena, Michael Ferguson, Mike Purvis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 10 Sep 2014 00:00:00 -0000

ros-noetic-rosserial-client (0.6.1-1buster) buster; urgency=high

  * Remove ID_TX_STOP define
  * Fix ID_TX_STOP in the client lib.
  * Contributors: Mike Purvis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Mon, 30 Jun 2014 00:00:00 -0000

ros-noetic-rosserial-client (0.6.0-1buster) buster; urgency=high

  * Remove include of ros.h from time.cpp
  * No xx_val pointers for fixed-length arrays of messages.
  * Use const char* instead of char* for strings in messages.
  * Contributors: Mike Purvis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 11 Jun 2014 00:00:00 -0000

ros-noetic-rosserial-client (0.5.6-1buster) buster; urgency=high

  * Add Mike Purvis as maintainer
  * make tf topic absolute instead of relative to prevent remapping with <group> tag
  * fix: msg id serialization
  * fix: wrong message lenght, if message size more than 255
  * fix odometry deserialization error http://answers.ros.org/question/73807/rosserial-deserialization-error/
  * add better debugging information when packages are missing dependencies
  * remove ID_TX_STOP from rosserial_msgs/msg/TopicInfo.msg, using hardcode modification.
  * fix the dupilcated registration problem of subscriber
  * Contributors: Michael Ferguson, Mike Purvis, Moju Zhao, agentx3r, denis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 11 Jun 2014 00:00:00 -0000

ros-noetic-rosserial-client (0.5.5-1buster) buster; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Tue, 14 Jan 2014 00:00:00 -0000

ros-noetic-rosserial-client (0.5.4-1buster) buster; urgency=high

  * fix an uninitialized data bug on arduino

 -- Paul Bouchier <paul.bouchier@gmail.com>  Thu, 17 Oct 2013 00:00:00 -0000

ros-noetic-rosserial-client (0.5.3-1buster) buster; urgency=high

  * Added some missing return values
  * Fixed uninitialized arrays that would cause random segfaults on spinOnce
  and advertise. Fixed other ininitialized variables.
  * fixed misalignment for 32 bit architectures

 -- Paul Bouchier <paul.bouchier@gmail.com>  Sat, 21 Sep 2013 00:00:00 -0000

ros-noetic-rosserial-client (0.5.2-1buster) buster; urgency=high

  * Fix release version

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 17 Jul 2013 00:00:00 -0000

ros-noetic-rosserial-client (0.5.1-1buster) buster; urgency=high

  * Modified the return value of publish()
  * Modified the frame structure for serial communication, particularly add the checksum for msg_len
    * Associated protocol version ID in message and version mismatch handling

 -- Paul Bouchier <paul.bouchier@gmail.com>  Mon, 15 Jul 2013 00:00:00 -0000

ros-noetic-rosserial-client (0.4.5-1buster) buster; urgency=high

  * fail gently when messages/packages are corrupt. update print statements while at it
  * Fixed a bug in ros_lib install logic which took an exception because it copied files to themselves
    Added execute permission to make_libraries.py in rosserial_embeddedlinux
    Moved examples under src in rosserial_embeddedlinux

 -- Paul Bouchier <paul.bouchier@gmail.com>  Tue, 02 Jul 2013 00:00:00 -0000

ros-noetic-rosserial-client (0.4.4-1buster) buster; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 20 Mar 2013 00:00:00 -0000

ros-noetic-rosserial-client (0.4.3-1buster) buster; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 13 Mar 2013 14:08:00 -0000

ros-noetic-rosserial-client (0.4.2-1buster) buster; urgency=high

  * fix build issues when in isolation by moving more stuff into make_library

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 13 Mar 2013 01:15:00 -0000

ros-noetic-rosserial-client (0.4.1-1buster) buster; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Sat, 09 Mar 2013 00:00:00 -0000

ros-noetic-rosserial-client (0.4.0-1buster) buster; urgency=high

  * initial catkin version on github
  * Temporary patch for #30 <https://github.com/ros-drivers/rosserial/issues/30>
  * Added missing math.h include.
  * Changed DEBUG log level to ROSDEBUG.

 -- Paul Bouchier <paul.bouchier@gmail.com>  Fri, 08 Mar 2013 00:00:00 -0000


